@echo off
echo off
cls
rem  **************************************************************************
rem  **                                                                      **
rem  **         Installation Batch File:                                     **
rem  **     GraphicsENGINE Graphics Accelerator                              **
rem  **                     and                                              **
rem  **        VersaCad 5.4, 6.0, 7.0                                         **
rem  **                    or                                                **
rem  **                 VersaCad/386                                         **
rem  **                                                                      **
rem  **************************************************************************
echo ACTIX Sysems, Inc.
echo Device Driver Install Disk
echo for the VersaCad 5.4, 6.0, 7.0 & VersaCad/386
echo .
echo Please wait a moment while I find which applications are installed...
echo .
set id=A:
set ip=\versacad\
rem
rem first, make certain we're not logged onto the A drive
rem
if NOT EXIST install.bat goto CONTIN
rem
rem since we are, lets go to the C: drive
rem
c:
cd \
echo Searching for VersaCad on C: drive.
:i_54
if NOT EXIST \vcad54\v2d\v2d.exe goto i_60
echo VersaCad 5.4 (VersaCad Design) found.
echo Please wait while files are coping...
cd \vcad54
goto DOIT
:i_60
if NOT EXIST \vcad60\v2d\v2d.exe goto i_70
echo VersaCad 6.0 (VersaCad Design) found.
echo Please wait while files are coping...
cd \vcad60
goto DOIT

:i_70
if NOT EXIST \vcad70\v2d\v2d.exe goto i_386
echo VersaCad 7.0 (VersaCad Design) found.
echo Please wait while files are coping...
cd \vcad70
goto DOIT1

:DOIT
copy %id%%ip%vc2_911.com vc2_911.com > %id%%ip%install.sta
echo .
copy %id%%ip%vcad54.cfg s3_911.cfg > %id%%ip%install.sta
echo  .
copy %id%%ip%vcad54.bat \vcad54.bat > %id%%ip%install.sta
echo   .
goto OK
:DOIT1
copy %id%%ip%vc2_911.com vc2_911.com > %id%%ip%install.sta
echo .
copy %id%%ip%vcad386.cfg s3_911.cfg > %id%%ip%install.sta
echo  .

:OK
echo Please configure VersaCad Design for "S3 86C911"
echo and select either "Single Screen" or "Dual Screen" options.
pause
enviro
echo VersaCad Design driver installation completed.
:i_386
if NOT EXIST \vcad386\v2d\v2d.exe goto All_Done
echo VersaCad / 386 found.
echo Please wait while files are coping...
cd \vcad386
copy %id%%ip%vc3_911.com vc3_911.com > %id%%ip%install.sta
echo .
copy %id%%ip%vcad386.cfg s3_911.cfg > %id%%ip%install.sta
echo  .
copy %id%%ip%vcad386.bat \vcad386.bat > %id%%ip%install.sta
echo   .
echo Please configure VersaCAD/386 for "S3 86C911"
echo and select either "Single Screen" or "Dual Screen" options.
pause
enviro
echo VersaCAD/386 driver installation completed.
goto All_Done
:USAGE
echo .
echo In order to be installed correctly, the following conditions must
echo be true:
echo .
echo   *   This install disk must be in drive A.
echo   *   The install disk cannot be write protected.
echo   *   The CURRENT drive must contain VersaCad 5.4, VersaCAD 6.0,
echo   *   VersaCAD 7.0 or VCAD/386.
echo .
echo No other exceptions are allowed by this installation program.
echo .
echo To install in non-standard directories, please refer to the instructions
echo in the manual. (%id%%ip%README.DOC)
goto end
:All_Done
rem
rem Here we will tell the user that installation is completed.
rem Alex Jen
if NOT EXIST %id%%ip%install.sta goto USAGE
del %id%%ip%install.sta
copy %id%%ip%remove.exe .
echo ACTIX GraphicsENGINE driver installation is now completed!
:end
pause
